Validate Full Travel Rule TransactionAsk AIpost https://api.fireblocks.io/v1/screening/travel_rule/transaction/validate/fullValidate Full Travel Rule transactions. Checks for all required information on the originator and beneficiary VASPs.Query Paramsnotationarray of stringsSpecifies the notation of the transaction. Possible values are: - notabene: Uses Notabene notation (default behavior). - fireblocks: Uses Fireblocks notation, with automatic translation of asset tickers and amounts. - <none>: Defaults to notabene for backward compatibility. Note: The default value for the notation parameter will change from notabene to fireblocks Update your integrations accordingly.notationADD stringBody ParamsoriginatorVASPdidstringThe Decentralized Identifier (DID) of the exchange (VASP) that is sending the virtual assets. This identifier is unique to the exchange and is generated when the exchange's account is created in the Notabene network.beneficiaryVASPdidstringThe Decentralized Identifier (DID) of the exchange (VASP) that is receiving the virtual assets. This identifier is unique to the exchange and is generated when the exchange's account is created in the Notabene network.transactionAssetstringTransaction asset symbol (e.g., BTC, ETH, USDC). By using the notation query string, users can select the type of asset notation: - fireblocks: Converts asset symbols to Fireblocks notation. - notabene: Retains the original Notabene asset symbol format.transactionAmountstringTransaction amount in the transaction asset. For example, if the asset is BTC, the amount is the value in BTC units. By using the notation query string, users can select the type of amount notation: - fireblocks: Converts the amount to Fireblocks notation (e.g., adjusted for decimals). - notabene: Retains the original Notabene amount format.originatorVASPnamestringThe name of the VASP acting as the transaction originator.beneficiaryVASPnamestringThe name of the VASP acting as the transaction beneficiary.transactionBlockchainInfoobjectInformation about the blockchain transaction.transactionBlockchainInfo objectoriginatorobjectrequiredInformation about the originator of the transaction.originator objectbeneficiaryobjectrequiredInformation about the originator of the transaction.beneficiary objectencryptedstringEncrypted data related to the transaction.protocolstringenumThe protocol used to perform the travel rule.TRLightTRLightTRPOpenVASPGTRAllowed:TRLightTRPOpenVASPGTRskipBeneficiaryDataValidationbooleanWhether to skip validation of beneficiary data.falsetruefalsetravelRuleBehaviorbooleanWhether to check if the transaction complies with the travel rule in the beneficiary VASP's jurisdiction.truetruefalseoriginatorRefstringA reference ID related to the originator of the transaction.beneficiaryRefstringA reference ID related to the beneficiary of the transaction.travelRuleBehaviorRefstringA reference ID related to the travel rule behavior.originatorProofobjectOwnership proof related to the originator of the transaction.originatorProof objectbeneficiaryProofobjectOwnership proof related to the originator of the transaction.beneficiaryProof objectbeneficiaryDidstringThe Decentralized Identifier (DID) of the person at the receiving exchange (VASP). This identifier is generated when the customer is registered in the Notabene network, or automatically created based on the beneficiaryRef. - If neither beneficiaryRef nor beneficiaryDid is provided in the txCreate payload, a new random DID is generated for every transaction.originatorDidstringThe Decentralized Identifier (DID) of the person at the exchange (VASP) who is requesting the withdrawal. This identifier is generated when the customer is registered in the Notabene network or automatically created based on the originatorRef. - If neither originatorRef nor originatorDid is provided in the txCreate payload, a new random DID is generated for every transaction.isNonCustodialbooleanIndicates if the transaction involves a non-custodial wallet.truetruefalsenotificationEmailstringThe email address where a notification should be sent upon completion of the travel rulepiiobjectPersonal identifiable information related to the transactionpii objectpii_urlstringThe URL of the personal identifiable information related to the transactionHeadersIdempotency-KeystringA unique identifier for the request. If the request is sent multiple times with the same idempotency key, the server will return the same response as the first request. The idempotency key is valid for 24 hours.Responses 200Transaction validated successfully defaultError ResponseUpdated 4 months ago